package dev.fyloz.trial.colorrecipesexplorer.core.model.config;

import dev.fyloz.trial.colorrecipesexplorer.core.model.MaterialType;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@ConfigurationProperties(prefix = "entities.material-types")
@Getter
@Setter
public class MaterialTypeProperties {

    private List<MaterialType> defaults;

    private String baseName;

}
